<?PHP // $Id: certificate.php,v 2.0 2010/09/20

// General functions
$string['pluginname'] = 'Certificates Wall';
$string['pluginadministration'] = 'Certificates Wall administration';
$string['modulename'] = 'Certificates Wall';
$string['modulenameplural'] = 'CertificatesWall';
$string['certificatename'] = 'Certificate Name';
$string['certificateswall:view'] = 'View Certificate';
$string['certificateswall:manage'] = 'Manage Certificate';
$string['certificateswall:printteacher'] = 'Print Teacher';
$string['certificateswall:student'] = 'Get Certificate';

// Adding an instance
$string['intro'] = 'Introduction';
$string['areaintro'] = 'Certificate introduction';
$string['addlinklabel'] = 'Add another linked activity option';
$string['addlinktitle'] = 'Click to add another linked activity option';
$string['issueoptions'] = 'Issue Options';
$string['completiondate'] = 'Course Completion';
$string['emailteachers'] = 'Email Teachers';
$string['emailothers'] = 'Email Others';
$string['printoutcome'] = 'Print Outcome';
$string['nogrades'] = 'No grades available';
$string['certificateidformat'] = 'Certificate Code Format';
$string['randomcode'] = 'Random code';
$string['customcodeformat'] = 'Custom code';
$string['certificatecustomformat'] = 'Certificate Code Custom Format';
$string['coursehours'] = 'Course hours';
$string['certificateassigndate'] = 'Certificate date';
$string['certificateenddate'] = 'Certificate expiry date';
$string['certificatetime'] = 'Expiry months';
$string['allowautoissue'] = 'Certificate autoissue';
$string['minimumgrade'] = 'Minimum grade to autoissue (%)';
$string['emailstudent'] = 'Email student';


// Reset certificates
$string['deletissuedcertificates'] = 'Delete issued certificates';
$string['removecert'] = 'Issued certificates removed';

// Help strings
$string['emailstudent_help'] = 'Send email to a student when a certificate is issued to him by the teacher. The email will not be send if the student use autoissue option to get the certificate.';
$string['allowautoissue_help'] = 'If enabled, then students can get a certificate automatically with clicking on the button <i>Get certificate</i>. If disabled then only teacher can issue a certificate manually. ';
$string['minimumgrade_help'] = 'If this value is more then 0 and AutoIssue is enabled then a student can get a certificate only if his total course grade is more then this value. The value is a percent (from 0 to 100 without a % sign)';
$string['emailteachers_help'] = 'If enabled, then teachers are alerted with an email whenever students receive a certificate. The message will be send only if autoissue option is used.';
$string['emailothers_help'] = 'Enter the email addresses here, separated by a comma, of those who should be alerted with an email whenever students receive a certificate. The message will be send only if autoissue option is used.';
$string['certificateidformat_help'] = 'Choose Random or Custom code format. If Random is chosen then random certificate code (ID) will be generated. If Custom then it is needed to specify code format in field "Custom Code template"';
$string['configcertificateidformat'] = $string['certificateidformat_help'].'<br>This option is used as defaul for all courses and can be changed for each individual course.';

$string['certificatecustomformat_help'] = 'This is used when option "Certificate Code Format" is "Custom code". This must be template of the code. The template can contain any text and some variables. Variables are marked with % symbol.<br> Possible variables:<br> Y - current year,<br>M - current month,<br>D - current day,<br>S - student ID in system,<br>C - course ID,<br>N - number of certificate in course.<br> Examples:<br> CW:%Y.%M.%D.%N  - code will look like CW:2012.01.30.10 , 10 is next number of certificate for course<br> CERT:%C-%S  - code will look like CERT:40-2364 , 40 - id of course, 2364 - if og the student in system<br>';
$string['configcertificatecustomformat'] = $string['certificatecustomformat_help'].'<br>This option is used as defaul for all courses and can be changed for each individual course.';

$string['coursehours_help'] = 'Enter count of hours for course. This can be used to print on certificates for course.';
$string['certificatetime_help'] = 'Count of months while certificate is valid after receiving. This option will be used only if "Certificate expiry date" is not set. If this is empty or 0 then "end date" will not be calculated. This option can be used when it is needed to print "End date" on certificate.<br>Example: if date of receiving is "2012-02-10" and this value is 12 then end date will be "2013-02-10"';  
	
$string['dateformat'] = 'Date format';
$string['configdateformat'] = 'Format of the date on certificate. This must be string like "F d, Y" - this will output date "March 10, 2001". Or format "j, n, Y" will output date "10, 3, 2001"<br> More information about possible format templates find on <a href="http://php.net/manual/en/function.date.php" target="_blank">PHP date() function</a> manuals';
	
$string['certificateassigndate_help'] = 'Date of certificate receiving. If this is not defined then date of certificate receiving will be date when the user inits "get certificate" button.';
$string['certificateenddate_help'] = 'This is date when certificate expire. If certificates never expire then just leave this empty.';

// Strings for verification block
$string['entercode'] = 'Enter certificate code to verify:';
$string['validate'] = 'Verify';
$string['certificate'] = 'Verification for certificate code:';
$string['verifycertificate'] = 'Verify Certificate';
$string['notfound'] = 'The certificate number could not be validated.';
$string['back'] = 'Back';
$string['to'] = 'Awarded to';
$string['course'] = 'For';
$string['date'] = 'On';
$string['grade'] = 'Grade';
$string['awardedto'] = 'Awarded To';
$string['receiveddate'] = 'Date Received';
$string['reportdelete'] = 'Delete';

// Certificate view, index, report strings
$string['incompletemessage'] = 'In order to download your certificate, you must first complete all required '.'activities. Please return to the course to complete your coursework.';
$string['issued'] = 'Issued';
$string['notissued'] = 'Not Issued';
$string['notissuedyet'] = 'Not issued yet';
$string['notreceived'] = 'You have not received this certificate';
$string['getcertificate'] = 'Get your certificate';
$string['report'] = 'Report';
$string['code'] = 'Code';
$string['viewed'] = 'You received this certificate on:';
$string['lastviewed'] = 'You last received this certificate on:';
$string['viewcertificateviews'] = 'View {$a} issued certificates';
$string['reviewcertificate'] = 'Review your certificate';

$string['receivedcerts'] = 'Received certificates';
$string['summaryofattempts'] = 'Summary of Previously Received Certificates';

// Email text
$string['emailstudenttext'] = 'Attached is your certificate for {$a->course}.';
$string['awarded'] = 'Awarded';
$string['emailteachermail'] = '
{$a->student} has received their certificate: \'{$a->certificate}\'
for {$a->course}.

You can review it here:

    {$a->url}';
$string['emailteachermailhtml'] = '
{$a->student} has received their certificate: \'<i>{$a->certificate}</i>\'
for {$a->course}.

You can review it here:

    <a href=\"{$a->url}\">Certificate Report</a>.';
    
$string['emailstudentmail'] = '
Hello {$a->student},
You have received you certificate certificate: \'{$a->certificate}\'
for {$a->course}.

You can review it here:

    {$a->url}';
$string['emailstudentmailhtml'] = '
Hello {$a->student},<br>
You have received your certificate: \'<i>{$a->certificate}</i>\'
for {$a->course}.<br><br>

You can review it here:<br>

    <a href="{$a->url}">Certificate on CertificatesWall</a>.';

// Names of type folders
$string['typeA4_embedded'] = 'A4 Embedded';
$string['typeletter_embedded'] = 'Letter Embedded';
$string['typeA4_non_embedded'] = 'A4 Non-Embedded';
$string['typeletter_non_embedded'] = 'Letter Non-Embedded';

// Print to certificate strings
$string['grade'] = 'Grade';
$string['coursegrade'] = 'Course Grade';
$string['credithours'] = 'Credit Hours';

$string['title'] = 'CERTIFICATE of ACHIEVEMENT';
$string['certify'] = 'This is to certify that';
$string['statement'] = 'has completed the course';

// Certificate transcript strings
$string['notapplicable'] = 'N/A';
$string['certificatesfor'] = 'Certificates for';
$string['coursename'] = 'Course';
$string['viewtranscript'] = 'View Certificates';
$string['mycertificates'] = 'My Certificates';
$string['nocertificatesreceived'] = 'has not received any course certificates.';
$string['notissued'] = 'Not received';
$string['reportcert'] = 'Report Certificates';
$string['certificatereport'] = 'Certificates Report';
$string['printerfriendly'] = 'Printer-friendly page';
$string['or'] = 'Or';

//General settings
$string['apikey'] = 'CertificatesWall.com API Key';
$string['configapikey'] = 'This is unique key provided by CertificatesWall.com. Go to <a target="_blank" href="http://certificateswall.com/content/tmpleditorfaq.html#question_apikey">CertificatesWall.com</a> to get this key if you do not have it';
$string['simpleintegration'] = 'Simple Integration';
$string['extendedintergation'] = 'Extended Integration';
$string['integration'] = 'Integration type';
$string['configintegration'] = 'Simple integration - user will get certificate unique ID and have to go to http://certificateswall.com and create certificate manually with entering ID. Extended integration - certificate will be autogenerated on certificateswall.com. And new account for user will be created if does not exist.';

$string['currentgrade'] = 'Current total grade';
$string['musthavesomegrade'] = 'You can get a certificate only if your total course grade is not less then %.2f points';
$string['youhavenocertificateissued'] = 'You have no the certificate issued to you.';
$string['getcertificatecode'] = 'Get your certificate code';
$string['withcode'] = 'With code';
$string['howtousecode'] = 'You can see your certificate with <a href="http://certificateswall.com" target="_blank">CertificatesWall.com</a> service. '.
	'Read instructions <a href="http://certificateswall.com/content/moodlefaq.html#addwithcode" target="_blank">here</a>.';
$string['yourcertificatecode'] = 'Your certificate code is:';
$string['viewyourcertificate'] = 'View your certificate';
$string['viewyourcertificateoncw'] = 'View your certificate on CertificatesWall';
$string['howtouseextended'] = 'You can see your certificate with <a href="http://certificateswall.com" target="_blank">CertificatesWall.com</a> service. '.
	'Read instructions <a href="http://certificateswall.com/?page=static&item=moodlefaq#extendedintegration" target="_blank">here</a>.';
	
$string['recreatecertificate'] = 'Re-create your certificate (if it was deleted directly from CertificatesWall.com)';
$string['createcertificate'] = 'Create your certificate';
$string['getcertificate'] = 'Get your certificate';
$string['requestauth'] = 'Allow access to my CertificatesWall.com account';
$string['requestauthhint'] = 'This site is not authorized to have access to your CertificatesWall.com account. '.
	'You must to allow access to your account on CertificatesWall.com for this service. '.
	'If you click "Allow access .." button you will get email with instructions about how to complete authorization.';
	
$string['requestedauthhint'] = 'You should receive email with the link to complete grant permission action. '.
	'When you complete the action then you can create your certificate';
$string['link'] = 'Certificate link';

$string['demofunction'] = 'Demo';
$string['productionfunction'] = 'Production';
$string['functioning'] = 'Work Mode';
$string['configfunctioning'] = 'If you already have your profile on CertificatesWall.com then you can set Work Mode to Production. '.
	'If you just installed this module and do not have profile and API key then use Demo mode to see how this module works. ';
	
$string['studentwithoutcert'] = 'Students without a certificate';
$string['issuecertificate'] = 'Issue certificate';

$string['whattodowithcertificate'] = 'Read instructions about what can you do with the certificate';
$string['certificatedemo'] = 'Example view of the certificate';

$string['demomodeison'] = 'Demo mode is active';
$string['demomodeisoncomments'] = 'You can use the plugin in demo mode without limitation. But it is recommended to get your own account on CertificatesWall.com. '.
	'Just go the <a href="http://certificateswall.com/index.php?page=register&tab=vendor" target="_blank">registration page</a> and create your account for free.'.
	'If you have own account on CertificatesWall.com then you can create a custom design for your certificates.<br>'.
	'<a href="http://certificateswall.com/content/moodlefaq.html#setupapikey" target="_blank">Read instructions</a> on moving to production mode and getting your API key.';
	
$string['demomodeyoucanedittemplate'] = 'You can not change the view of the certificate as the plugin works in Demo mode.'.
	'If you want to update the certificate template then you need to move to <a href="http://certificateswall.com/content/moodlefaq.html#setupapikey" target="_blank">production mode</a>';
$string['toedityourtemplategotocw'] = 'You can not change the view of the certificate. To do this go to CertificatesWall.com and login to your issuer account. There is the tool to edit the certificate template';

$string['certificatetemplate'] = 'Certificate template';
$string['certificatetemplate_help'] = 'Choose a template to use for certificates. You can edit templates in your CertificatesWall.com issuer account';
