<?PHP // $Id: index.php

/// This page is used to verify user's certificate with code

require_once('../../config.php');
require_once('lib.php');
global $DB;

$action = optional_param('action', '', PARAM_ALPHA);
if($action=='validate'){
	$code = optional_param('code');
	$valid='no';
	$certrecord = $DB->get_record('certificateswall_issues', array('code'=>$code));
	if($certrecord)
		$valid='yes';
	echo json_encode(array('valid'=>$valid));
}elseif($action=='getinfo'){
	$code = optional_param('code');
	$certrecord = $DB->get_record('certificateswall_issues', array('code'=>$code));
	if($certrecord){
		$context = get_context_instance(CONTEXT_MODULE, $certrecord->certificateid);
		
		$teachername='';
		$teacherslist=array();
		if ($teachers = get_users_by_capability($context, 'mod/certificateswall:printteacher', '', $sort='u.lastname ASC','','','','',false)) {
			foreach ($teachers as $teacher) {
				$i++;
				$teacherslist[]=fullname($teacher);
			}
		}
		if(count($teacherslist)>0) $teachername=$teacherslist[0];
		$certificate = $DB->get_record('certificateswall', array('id'=> $certrecord->certificateid));
		
		$enddate='';
		
		$dateformat=($CFG->certificateswall_dateformat!='')?$CFG->certificateswall_dateformat:'F d, Y';
		if($certificate->certificateenddate!=''){
			$enddate=$certificate->certificateenddate;
		}elseif(intval($certificate->certificatetime)>0){
			$enddate=date($dateformat,strtotime(date($dateformat,$certrecord->certdate).' + '.$certificate->certificatetime.' months'));
		}
	
		$coursedate=date($dateformat,$certrecord->certdate);
		if($certificate->certificateassigndate!='') $coursedate=$certificate->certificateassigndate;
		
		$course = $DB->get_record('course', array('id'=> $certificate->course));
		
		$d=array(
			'name'=>$certrecord->studentname,
			'date'=>$coursedate,
			'program'=>$certrecord->classname,
			'grade'=>$certrecord->reportgrade,
			'teacher'=>$teachername,
			'teachers'=>$teacherslist,
			'programshort'=>$course->shortname,
			'coursehours'=>$certificate->coursehours,
			'enddate'=>$enddate);
		echo json_encode($d);
	}else{
		echo json_encode(array('error'=>'Code not found'));
	}
}else{
	echo json_encode(array('error'=>'Unknown action'));
}

